From: [email-masked]
Date: Wed, 6 Aug 1997 12:00:50 -0500

Thank you all for the suggestions.  I did a 'mknod /chrooteddir/dev/null c
2 2' but still see the same fopen on /dev/null errors.

Thuy
---------------------- Forwarded by Thuy Tran/HPSI/US on 08/06/97 11:53 AM
---------------------------

#
# > I'm seeing one particular message in my syslog for every login
(anonymous &
# > guest ids) entry.  My syslog.conf has one line:
# >      *.debug        /var/adm/syslog
# >
# > Here's a sample of my /var/adm/syslog:
# >      Aug  4   09:16:08  ftp  ftpd[6996]:  ftp FTP server (Version
wu-2.4(7)
# > Tue Jul 29 09:54:53 CDT 1997) ready.
# >      Aug  4  09:16:10   ftp  ftpd[6996]:  command:  USER   guestid^M
# >      Aug  4  09:16:13   ftp  ftpd[6996]:  command:  PASS    password^M
# >      Aug  4  09:16:13   ftp  ftpd[6996]:  syslog:  fopen on /dev/null
# > failed, errno 2
# >
# > Does anybody know what this is all about and how to clean it up?  I'm
# > running wu-2.4 on AIX 4.2.0
# >
#
# Yes.  For some reason, the syslog() function in AIX (or some function it
# calls) wants to open /dev/null.  If the ftp user is anonymous or a guest
# user, they are chrooted at that point and the device can't be opened.
The
# solution is to make sure the syslog function that's included in the
wu-ftpd
# support library is linked into your executable.
Doesn't simply creating the /dev/null in the chroot area solve the problem
?
--
Kent Landfield                        Phone: 1-817-545-2502
The Landfield Group                   FAX:   1-817-545-7650
Email: [email-masked]             http://www.landfield.com/
Please send comp.sources.misc related mail to [email-masked].
Search the Usenet Hypertext FAQ Archive at http://www.faqs.org/faqs/